Package ghidra.framework.options

# Enum Class AutoOptionsListener.ParamOrder

java.lang.Object
java.lang.Enum<AutoOptionsListener.ParamOrder>
ghidra.framework.options.AutoOptionsListener.ParamOrder

All Implemented Interfaces:
  `Serializable`, `Comparable<AutoOptionsListener.ParamOrder>`, `Constable`

Enclosing class:
  `AutoOptionsListener<R>`

protected static enum AutoOptionsListener.ParamOrder extends Enum<AutoOptionsListener.ParamOrder>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NEW_OLD`
  `NEW_ONLY`
  `NONE`
  `OLD_NEW`
  `OLD_ONLY`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object[]`
  `populate(Object oldVal, Object newVal)`
  `static AutoOptionsListener.ParamOrder`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static AutoOptionsListener.ParamOrder[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NONE

    public static final AutoOptionsListener.ParamOrder NONE

  - ### NEW_ONLY

    public static final AutoOptionsListener.ParamOrder NEW_ONLY

  - ### OLD_ONLY

    public static final AutoOptionsListener.ParamOrder OLD_ONLY

  - ### NEW_OLD

    public static final AutoOptionsListener.ParamOrder NEW_OLD

  - ### OLD_NEW

    public static final AutoOptionsListener.ParamOrder OLD_NEW

- ## Method Details

  - ### values

    public static AutoOptionsListener.ParamOrder[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static AutoOptionsListener.ParamOrder valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### populate

    public Object[] populate(Object oldVal, Object newVal)